clear
#delimit;
set mem 300m;
set more off;

***figures 1-3***;
local fn "figures1_3";
capture log close;
log using `fn'.log, replace;

***figure 1***;
use prep4reg, clear;

***assign pay/piece group & save***;
gen group = 1 if payment == 2 & piece_rate == .5;
replace group = 2 if payment == 1 & piece_rate >= .3 & piece_rate <= .35;
replace group = 3 if payment == 1 & piece_rate == 1;
label define gv 1 "Crop 1 (time+all pieces)" 2 "Crop 2 (time+pieces, $0.3/p)" 3 "Crop 3 (time+pieces, $1/p)";
label values group gv;
drop if ystd > 5;

***keep regression sample***;
local xcov "dowdum* yeardum* pdum* ndays ndays2 male female";
local wavevars "tavebdum* apave6t15_sXXXX windsave6t15_sXXXX solradave6t15_sXXXX precave6t15_sXXXX dpavebdum* srave_* pm25ave6t15_sXXXX";
qui reg ystd ozoneave6t15_sXXXX `wavevars' `xcov', cluster(date);
keep if e(sample);

***graphs***;
hist ystd, saving(`fn'/f1, replace) kden by(group, total legend(off)) xline(0) scheme(s1mono) legend(off);

***figure 2***;
use prep4reg, clear;
drop if ystd > 5;

***keep regression sample***;
local xcov "dowdum* yeardum* pdum* ndays ndays2 male female";
local wavevars "tavebdum* apave6t15_sXXXX windsave6t15_sXXXX solradave6t15_sXXXX precave6t15_sXXXX dpavebdum* srave_* pm25ave6t15_sXXXX";
qui reg ystd ozoneave6t15_sXXXX `wavevars' `xcov', cluster(date);
keep if e(sample);

collapse (mean) lpiece piece ystd, by(employee);
hist ystd, saving(`fn'/f2, replace) kden xline(0) scheme(s1mono) start(-4) width(.1) legend(off);

***figure 3***;
use prep4reg, clear;
drop if ystd > 5;

***keep regression sample***;
local wavevars "tavebdum* apave6t15_sXXXX windsave6t15_sXXXX solradave6t15_sXXXX precave6t15_sXXXX dpavebdum* srave_* pm25ave6t15_sXXXX";
qui reg ystd ozoneave6t15_sXXXX `wavevars' `xcov', cluster(date);
keep if e(sample);

collapse (mean) lpiece piece ystd, by(date);
hist ystd, saving(`fn'/f3, replace) kden xline(0) scheme(s1mono) start(-3) width(.2) legend(off);

capture log close;
set more on;
