clear
clear mata
#delimit;
set mem 1300m;
set matsize 2800;
set more off;

***Table 4 - cols 1-4***;
local fn "table4a";
capture log close;
log using `fn'.log, replace;

use prep4reg, clear;

***group covariates***;
local wavevars "tavebdum* apave6t15_sXXXX windsave6t15_sXXXX solradave6t15_sXXXX precave6t15_sXXXX dpavebdum* srave_* pm25ave6t15_sXXXX";
local xcov "dowdum* yeardum* pdum* ndays ndays2 male female";

***setup outeg***;
qui reg ystd ozoneave6t15_sXXXX;
outreg2 using `fn'_ave.out, replace se text bracket ctitle("setup") nolabel;

************OLS***********;
***baseline***;
cgmreg ystd ozoneave6t15_sXXXX `wavevars' `xcov', cluster(date employee);
summ ystd if e(sample); local pp = r(mean);
outreg2 using `fn'_ave.out, append se text bracket ctitle("baseline") nolabel bdec(3) addstat(mdv, `pp');

***FE***;
areg ystd ozoneave6t15_sXXXX `wavevars' `xcov', cluster(date) absorb(employee);
summ ystd if e(sample); local pp = r(mean);
outreg2 using `fn'_ave.out, append se text bracket ctitle("FE") nolabel bdec(3) addstat(mdv, `pp');

***drop within .1 of piece rate threshold***;
cgmreg ystd ozoneave6t15_sXXXX `wavevars' `xcov' if ystd >= .1 | ystd <= -.1, cluster(date employee);
summ ystd if e(sample); local pp = r(mean);
outreg2 using `fn'_ave.out, append se text bracket ctitle("p1_threshold") nolabel bdec(3) addstat(mdv, `pp');

***drop within .2 of piece rate threshold***;
cgmreg ystd ozoneave6t15_sXXXX `wavevars' `xcov' if ystd >= .2 | ystd <= -.2, cluster(date employee);
summ ystd if e(sample); local pp = r(mean);
outreg2 using `fn'_ave.out, append se text bracket ctitle("p2_threshold") nolabel bdec(3) addstat(mdv, `pp');

capture log close;
set more on;
